org.richfaces.resource.optimizer.vfs.file

## Class FileVFSRoot

- java.lang.Object
- - org.richfaces.resource.optimizer.vfs.file.FileVFSFile
  - - org.richfaces.resource.optimizer.vfs.file.FileVFSRoot

- All Implemented Interfaces:
    Closeable, AutoCloseable, VFSRoot, VirtualFile

      public class FileVFSRoot
      extends FileVFSFile
      implements VFSRoot

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileVFSRoot(File dir)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `InputStream` | `getInputStream()`
    `String` | `getName()`
    `VFSType` | `getType()`
    `void` | `initialize()`
    `URL` | `toURL()`

    - ### Methods inherited from class org.richfaces.resource.optimizer.vfs.file.FileVFSFile

      `getChild, getChild, getChildren, getFile, getRelativePath, isDirectory, isFile, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.resource.optimizer.vfs.VirtualFile

      `getChild, getChild, getChildren, getRelativePath, isDirectory, isFile`

- - ### Constructor Detail

    - #### FileVFSRoot

          public FileVFSRoot(File dir)

  - ### Method Detail

    - #### getType

          public VFSType getType()

      Specified by:
        `getType` in interface `VFSRoot`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Specified by:
        `getInputStream` in interface `VirtualFile`
      Overrides:
        `getInputStream` in class `FileVFSFile`
      Throws:
        `IOException`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `VirtualFile`
      Overrides:
        `getName` in class `FileVFSFile`

    - #### initialize

          public void initialize()
                          throws IOException

      Specified by:
        `initialize` in interface `VFSRoot`
      Throws:
        `IOException`

    - #### toURL

          public URL toURL()
                    throws MalformedURLException

      Specified by:
        `toURL` in interface `VFSRoot`
      Throws:
        `MalformedURLException`

Copyright © 2014 JBoss by Red Hat. All rights reserved.